<?php

/*
 * This file is part of the TaskManagementBundle for Kimai 2.
 * All rights reserved by Kevin Papst (www.kevinpapst.de).
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace KimaiPlugin\TaskManagementBundle\Form\Type;

use KimaiPlugin\TaskManagementBundle\Entity\Task;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\OptionsResolver\OptionsResolver;

class StatusType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'label' => 'task.status',
            'search' => false,
            'choices' => [
                'task.status.' . Task::STATUS_PENDING => Task::STATUS_PENDING,
                'task.status.' . Task::STATUS_IN_PROGRESS => Task::STATUS_IN_PROGRESS,
                'task.status.' . Task::STATUS_DONE => Task::STATUS_DONE,
            ],
        ]);
    }

    /**
     * {@inheritdoc}
     */
    public function getParent()
    {
        return ChoiceType::class;
    }
}
