<?php

/*
 * This file is part of the TaskManagementBundle for Kimai 2.
 * All rights reserved by Kevin Papst (www.kevinpapst.de).
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace KimaiPlugin\TaskManagementBundle\Repository\Loader;

use App\Repository\Loader\LoaderInterface;
use Doctrine\ORM\EntityManagerInterface;
use KimaiPlugin\TaskManagementBundle\Entity\Task;

final class TaskLoader implements LoaderInterface
{
    /**
     * @var TaskIdLoader
     */
    private $loader;

    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->loader = new TaskIdLoader($entityManager);
    }

    /**
     * @param Task[] $tasks
     */
    public function loadResults(array $tasks): void
    {
        $ids = array_map(function (Task $task) {
            return $task->getId();
        }, $tasks);

        $this->loader->loadResults($ids);
    }
}
